%define drakxtools_required_version 10.4.84-1mdv2007.0
%define drakxtools_conflicted_version 10.4.83

%define libname %mklibname %{name}

Summary: Printing configuration
Name: printerdrake
Version: 1.6.3
Release: %mkrel 1
Source0: %name-%version.tar.bz2
License: GPL
Group: System/Configuration/Printing
Url: http://www.mandrivalinux.com/en/cvs.php3
BuildRoot: %_tmppath/%name-%version-buildroot
BuildRequires: perl-MDK-Common-devel
Requires: dynamic
Requires(pre): printerdrake-common = %{version}
Obsoletes: printtool
Provides: printtool
BuildArch: noarch

%description
Drakprinter detects and configures your printer(s).

Listsupportedprinters lists available printers.

%package common
Summary: Printerdrake backend
Group: System/Configuration/Printing
Requires: drakxtools => %drakxtools_required_version
Requires: libdrakx-net
Conflicts: drakxtools <= %drakxtools_conflicted_version

%description common
This package contains the Mandriva printing tools library.

%prep
%setup -q

%build

%install
rm -fr %buildroot
%makeinstall_std

#install lang
%find_lang %name

#install menu icon
mkdir -p %buildroot/%_iconsdir
install -m644 pixmaps/printer-mdk.png %buildroot/%_iconsdir/printer-mdk.png

# Unwanted for Mdv2008.0
rm -f %{buildroot}%{_datadir}/applications/mandriva-%name.desktop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%_sbindir/*
%{_datadir}/%name
%_iconsdir/*.png

%files common
%defattr(-,root,root)
/usr/lib/libDrakX/printer


%changelog
* Thu Oct 04 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.6.3-1mdv2008.0
+ Revision: 95366
- New upstream: 1.6.3
  Adds nmap dependency to cups queue style to be installed when needed only.

* Wed Oct 03 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.6.2-2mdv2008.0
+ Revision: 95203
- printerdrake-common should require nmap in order to network scans works.
  Closes: #30090.
  I really think this was already somewhere in time.. o.O

* Wed Oct 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.6.2-1mdv2008.0
+ Revision: 95098
- updated translation
- updated translation

* Wed Sep 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.6.1-2mdv2008.0
+ Revision: 91156
- Do not require xpp on remote cups server. Closes: #33077

* Mon Sep 17 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.6.1-1mdv2008.0
+ Revision: 89233
- 1.6.1: install foomatic files on first-run only, and not via Requires anymore.

* Fri Sep 14 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.6.0-2mdv2008.0
+ Revision: 85713
- Removed .desktop from the package. Closes: #33076

* Fri Sep 14 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.6.0-1mdv2008.0
+ Revision: 85685
- New upstream: 1.6.0, with support for task-printing-<manufacturer> packages.

* Thu Sep 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.7-2mdv2008.0
+ Revision: 85035
- printerdrake-common should be installed before printerdrake itself, specially
  due to the previous conflict change.
- Remove requires/conflicts from printerdrake package to drakxtools:
  printerdrake will always require printerdrake-common, which has those deps.

* Wed Sep 05 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.7-1mdv2008.0
+ Revision: 80505
- New upstream: 1.5.7
  Yet one more fix for #30090: network probes

* Wed Sep 05 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.6-1mdv2008.0
+ Revision: 80395
- New upstream: 1.5.6
  Fix for #30090

* Wed Sep 05 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.5-1mdv2008.0
+ Revision: 80278
- New upstream: 1.5.5

* Tue Sep 04 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.4-1mdv2008.0
+ Revision: 79252
- New upstream: 1.5.4

* Tue Aug 21 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.3-1mdv2008.0
+ Revision: 68392
- New upstream 1.5.3, with fixes for bug #32462 and i18n updates.

* Fri May 25 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.2-1mdv2008.0
+ Revision: 31137
- New upstream: 1.5.2. Fixes nmap host count calculation (and also hangups). References: #30090

* Thu May 24 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.1-1mdv2008.0
+ Revision: 30722
- New upstream: 1.5.1
  Main change: fix nmap total hits calculation. References: #30090
- Enforce versioned requires on printerdrake to printerdrake-common. See bug
  #30090, comment #23 for details.

* Sat May 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5-1mdv2008.0
+ Revision: 28499
- Make perl_checker happy regarding strings.
- New upstream: 1.5
  main change is fix for #29524 (network printers)


* Thu Mar 29 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4-1mdv2007.1
+ Revision: 149361
- make popups appear centered on mcc
- show main_window earlier so that mcc doesn't complain we exited
  abnormally b/c no window was displayed (#29959)
- translation snapshot

* Fri Mar 02 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3-4mdv2007.1
+ Revision: 131075
- Force Requires to dynamic: fix printer autodetection. Kindly fixes: #27838

* Tue Jan 30 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3-3mdv2007.1
+ Revision: 115448
- Fix a forgotten reference to hplip < 1.6.12. Should fix bug #28454

* Wed Jan 24 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3-2mdv2007.1
+ Revision: 112871
- Fix Requires to hplip-model-data >= 1.6.12. It missed the '='.

* Tue Jan 23 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.3-1mdv2007.1
+ Revision: 112623
- Enforced Requires to hplip-model-data > 1.6.12 as printerdrake 1.3 depends on
  this version and also it needs this file in order to know what hplip supports.
- New upstream: 1.3

* Wed Jan 17 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2-4mdv2007.1
+ Revision: 109786
- Fix foomatic-db-filters -> foomatic-filters. Closes: #28248

* Tue Jan 16 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2-3mdv2007.1
+ Revision: 109608
- Small specfile cleanup.
- Added requires on printerdrake to the packages it used to install:
  foomatic-db, foomatic-db-filters and foomatic-db-hpijs.

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-2mdv2007.1
+ Revision: 106522
- move foomatic-db-engine require from drakxtools into printerdrake

* Wed Dec 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2-1mdv2007.1
+ Revision: 100717
- new release
- printerdrake is now back in /usr/sbin/
- typo fix (Marek Laane)

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1-1mdv2007.1
+ Revision: 89398
- new release
- package icons too

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1mdv2007.1
+ Revision: 89382
- Import printerdrake

* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1mdv2007.1
- initial release (splited out of drakxtools)

